
<div class="image">
    <img [src]="product.imgUrl" alt="Product image">
</div>

<div class="content">
    <a class="header" [routerLink]="['products', product._id]"> {{product.name}} </a>

    <div class="meta">
        Price: ${{product.price}}
    </div>

    <div class="description">
        <p> {{product.description}} </p>
    </div>

    <div class="extra">
        <p> Check <a> {{product.owner?.username}}'s page</a>!</p>

        
        <div [ngSwitch]="product.popularity">
            <span *ngSwitchCase="PopularityEnum.VeryPopular" class="ui red tag label">{{product.popularity}}</span>
            <span *ngSwitchCase="PopularityEnum.Popular" class="ui green tag label">{{product.popularity}}</span>
            <span *ngSwitchCase="PopularityEnum.Average" class="ui blue tag label">{{product.popularity}}</span>
            <span *ngSwitchDefault class="ui tag label">{{product.popularity}}</span>
        </div>
    </div>

    <button class="ui button" *ngIf="product.forSale">Buy</button>
</div>

